Skip to main content
GET
/
digitalbanking
/
db-accounts
/
v1
/
accounts
Get Accounts
curl --request GET \
  --url https://api.candescent.com/digitalbanking/db-accounts/v1/accounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "accountId": "<string>",
    "accountNumber": "<string>",
    "accountType": {
      "DIAccountType": "<string>",
      "description": "<string>"
    },
    "category": "<string>",
    "balance": {
      "availableBalance": {
        "amount": 123,
        "currencyCode": "<string>"
      },
      "currentBalance": {
        "amount": 123,
        "currencyCode": "<string>"
      }
    },
    "accountStatus": {
      "open": true,
      "closed": true,
      "delinquent": true
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of accounts

accountId
string

Unique identifier of the account

accountNumber
string
accountType
object
category
string

Account category (DEPOSIT, LOAN, CREDIT, INVESTMENT)

balance
object
accountStatus
object